%bcond_without tests

%global srcname progressbar2

%global desc %{expand: \
A text progress bar is typically used to display the progress of a long running
operation, providing a visual cue that processing is underway.

The ProgressBar class manages the current progress, and the format of the line
is given by a number of widgets.

The progressbar module is very easy to use, yet very powerful. It will also
automatically enable features like auto-resizing when the system supports it.}

Name:           python-%{srcname}
Version:        3.53.1
Release:        1%{?dist}
Summary:        A Progressbar library to provide visual progress to long running operations


License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %pypi_source

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel

%description
%{desc}

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
Requires:  python%{python3_version}dist(python-utils)
Requires:  python%{python3_version}dist(six)
BuildRequires:  epel-rpm-macros
BuildRequires:  python%{python3_version}dist(python-utils)
BuildRequires:  python%{python3_version}dist(six)
BuildRequires:  python%{python3_version}dist(setuptools)
BuildRequires:  python%{python3_version}dist(sphinx)
BuildRequires:  python%{python3_version}dist(pytest)
BuildRequires:  python%{python3_version}dist(pytest-cov)
%if %{with tests}
BuildRequires:  python%{python3_version}dist(freezegun) >= 0.3.10
%endif


%description -n python%{python3_pkgversion}-%{srcname}
%{desc}


%prep
%autosetup -n %{srcname}-%{version}
rm -rfv %{srcname}.egg-info

find . -name '*.pyc' -print -delete
find . -name '*.swp' -print -delete
rm -rfv tests/__pycache__/

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
PYTHONPATH=. %pytest tests
%endif

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst CHANGES.rst CONTRIBUTING.rst
%{python3_sitelib}/%{srcname}-%{version}-py3.*.egg-info/
%{python3_sitelib}/progressbar

%changelog
* Tue Mar 09 2021 Camille Gardet <gardet.ca@gmail.com> - 3.53.1-1
- Initial package
